import 'package:flutter/material.dart';
import 'package:recup_app_storybook/views/recup_material_app.dart';
import 'package:recup_app_storybook/views/recup_scaffold.dart';

class DefaultStory extends StatelessWidget {
  final Widget body;
  final ThemeMode themeMode;
  const DefaultStory({
    Key? key,
    required this.body,
    this.themeMode = ThemeMode.system,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return RecupMaterialApp(
      themeMode: themeMode,
      home: RecupScaffold(
        body: body,
      ),
    );
  }
}
