import 'dart:js';

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:recup_app_storybook/stories/buttons/DottedButton/DottedButton.dart';
import 'package:recup_app_storybook/stories/default_storie.dart';
import 'package:recup_app_storybook/theme/colors.dart';
import 'package:storybook_flutter/storybook_flutter.dart';

class RecupDottedButtonStory extends Story {
  RecupDottedButtonStory()
      : super(
            name: 'Buttons/RecupDottedButton',
            builder: (context) {
              return DefaultStory(
                body: Container(
                  width: double.infinity,
                  height: double.infinity,
                  child: Center(
                    child: RecupDottedButton(
                      onTap: () {},
                      color: RecupColor.primary,
                      icon: const Icon(Icons.add_circle_outline_rounded),
                      padding: const EdgeInsets.only(
                          top: 10, bottom: 10, right: 35, left: 35),
                    ),
                  ),
                ),
              );
            });
}
