import 'package:flutter/material.dart';
import 'package:recup_app_storybook/theme/colors.dart';

class RecupStatus extends StatelessWidget {
  final Widget child;
  final Color? color;
  const RecupStatus({
    Key? key,
    required this.child,
    this.color = RecupColor.primary,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.symmetric(
        horizontal: 20,
        vertical: 5,
      ),
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(50),
        color: color,
      ),
      child: child,
    );
  }
}
